Mojo::Cookie(3)

NAME
Mojo::Cookie - HTTP cookie base class

SYNOPSIS
  package Mojo::Cookie::MyCookie;
  use Mojo::Base 'Mojo::Cookie';

  sub parse     {...}
  sub to_string {...}

DESCRIPTION
Mojo::Cookie is an abstract base class for HTTP cookie containers, based on RFC 6265 <http://tools.ietf.org/html/rfc6265>, like Mojo::Cookie::Request and Mojo::Cookie::Response.

ATTRIBUTES
Mojo::Cookie implements the following attributes.

  name
  my $name = $cookie->name;
  $cookie  = $cookie->name('foo');

Cookie name.

  value
  my $value = $cookie->value;
  $cookie   = $cookie->value('/test');

Cookie value.

METHODS
Mojo::Cookie inherits all methods from Mojo::Base and implements the following new ones.

  parse
  my $cookies = $cookie->parse($str);

Parse cookies. Meant to be overloaded in a subclass.

  to_string
  my $str = $cookie->to_string;

Render cookie. Meant to be overloaded in a subclass.

OPERATORS
Mojo::Cookie overloads the following operators.

  bool
  my $bool = !!$cookie;

Always true.

  stringify
  my $str = "$cookie";

Alias for "to_string".

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.